select
  an.numero as numero
  , an.regassocraca as registro
  , an.nomecompleto as nome
  , (cast((select count(*) from lactacao re where re.cdanimal = lac.cdanimal and re.dtinicio <= lac.dtinicio) as integer)
            + coalesce(an.numpartoentrada, 0)) as numero_lactacao
  , lac.dtinicio as data_parto
  , '0' as fac_parto
  , coalesce(cria1.sexo, par.sexocria1) as sexo_cria1
  , coalesce(cria2.sexo, par.sexocria2) as sexo_cria2
  , (case when (tp.cdtipoparto in (4,7)) then 'Sim' else '' end) as natimorto
  , cria1.numero as numero_cria1
  , cria2.numero as numero_cria2
from
  animal an
  join lactacao lac on lac.cdanimal = an.cdanimal
  left join reproducao par on par.cdanimal = lac.cdanimal and par.data = lac.dtinicio
  left join animal cria1 on cria1.cdanimal =
    (select first 1 re.cdanimal from animal re where re.cdreproducao = par.cdreproducao and par.numcria in (1,2) order by re.cdanimal asc)
  left join animal cria2 on cria2.cdanimal =
    (select first 1 re.cdanimal from animal re where re.cdreproducao = par.cdreproducao and par.numcria = 2 and re.cdanimal <> cria1.cdanimal
        order by re.cdanimal desc)
  left join tipoparto tp on tp.cdtipoparto = par.cdtipoparto

/*PREENCHA AS DATAS DE INICIO E FIM NO FORMATO AAAA-MM-DD*/ where lac.dtinicio between '2013-01-15' and '2013-01-31'
